%global commit 8c05dd0a24044fd4366cb6f4ecaf594d49933150
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:       Microsoft Visio documents (VSS and VSD) to SVG conversion library
Name:          libvisio2svg
Version:       0.5.4
Release:       1.20171130git%{shortcommit}%{?dist}
License:       GPLv2+
Source:        https://github.com/kakwa/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
URL:           https://github.com/kakwa/libvisio2svg
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libemf2svg-devel
BuildRequires: librevenge-devel
BuildRequires: libvisio-devel
BuildRequires: libwmf-devel
Requires:      libemf2svg

%description
Library/Tools to convert Microsoft Visio documents (VSS and VSD) to SVG

%package devel
Summary:       Development files for libvisio2svg
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
The libvisio2svg-devel package contains header files and documentation necessary
for developing programs using the visio2svg library.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake .
%make_build

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%license LICENSE
%doc README.md
%{_bindir}/vsd2svg-conv
%{_bindir}/vss2svg-conv
%{_libdir}/libTitleGenerator.so.0
%{_libdir}/libTitleGenerator.so.%{version}
%{_libdir}/libVisio2Svg.so.0
%{_libdir}/libVisio2Svg.so.%{version}

%files devel
%{_libdir}/libVisio2Svg.so
%{_libdir}/libTitleGenerator.so
%{_includedir}/visio2svg

%changelog
* Thu Nov 30 2017 spike <spike@fedoraproject.org> 0.5.4-1.20171130git8c05dd0
- Initial package
